Bug 191233 - comms/trustedqsl broken
Summary: comms/trustedqsl broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Stephen Hurd
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-21 07:50 UTC by Stephen Hurd
Modified: 2015-05-11 20:55 UTC (History)
0 users

See Also:


Attachments
Chase source bundle. (922 bytes, patch)
2014-06-21 07:50 UTC, Stephen Hurd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Hurd freebsd_committer 2014-06-21 07:50:28 UTC
Created attachment 143984 [details]
Chase source bundle.

Upstream modified the source archive with new features... from the ChangeLog:

When run in command line "-n" mode (display new program and/or configuration
files), TQSL could exit before the hheck was completed. Change the behavior
so the program waits for the check to complete.

Signing a log with a location that points to an incomplete certificate
request would cause an "Invalid argument" error rather than the expected
error message notify the user that they have no valid callsign certificates
for that callsign. TQSL now properly displays the error.

Don't display the main TQSL window when requesting the user enter
the password for their callsign certificate when in batch mode.

Add timestamps to diagnostic log entries.
Comment 1 commit-hook freebsd_committer 2014-06-22 03:44:18 UTC
A commit references this bug:

Author: shurd
Date: Sun Jun 22 03:43:20 UTC 2014
New revision: 358763
URL: http://svnweb.freebsd.org/changeset/ports/358763

Log:
  Upstream modified the source archive with new features... from the ChangeLog:

  When run in command line "-n" mode (display new program and/or configuration
  files), TQSL could exit before the hheck was completed. Change the behavior
  so the program waits for the check to complete.

  Signing a log with a location that points to an incomplete certificate
  request would cause an "Invalid argument" error rather than the expected
  error message notify the user that they have no valid callsign certificates
  for that callsign. TQSL now properly displays the error.

  Don't display the main TQSL window when requesting the user enter
  the password for their callsign certificate when in batch mode.

  Add timestamps to diagnostic log entries.

  PR:		191233
  Submitted by:	shurd
  Reviewed by:	skreuzer
  Approved by:	db, skreuzer (mentors)

Changes:
  head/comms/trustedqsl/Makefile
  head/comms/trustedqsl/distinfo
  head/comms/trustedqsl/pkg-plist
Comment 2 Stephen Hurd freebsd_committer 2014-06-22 03:46:38 UTC
Committed, thanks!